#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 keys
version:              3.12.4
visibility:           public
id:                   keys-3.12.4-8UsjJu3BhDbJxsGUIZ756W
key:                  keys-3.12.4-8UsjJu3BhDbJxsGUIZ756W
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/keys/
synopsis:             Keyed functors and containers
description:
    This package provides a bunch of ad hoc classes for accessing parts of a container.

    In practice this package is largely subsumed by the
    <https://hackage.haskell.org/package/lens lens package>,
    but it is maintained for now as it has much
    simpler dependencies.

category:             Data Structures, Containers
abi:                  55063920b26430374b7048fb90cba5e3
exposed:              True
exposed-modules:      Data.Key
import-dirs:          /usr/lib/ghc-9.2.8/site-local/keys-3.12.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/keys-3.12.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-keys
hs-libraries:         HSkeys-3.12.4-8UsjJu3BhDbJxsGUIZ756W
depends:
    array-0.5.4.0 base-4.16.4.0 comonad-5.0.8-LnbzsmeqGzPCRupV4BnhGc
    containers-0.6.5.1 free-5.2-H5fbDVekFUE8n2Yd6NZBwS
    hashable-1.4.4.0-8kbsn96Xs7VCwiHoChRZyp
    semigroupoids-6.0.0.1-K0TkfyD8bVTJ1Ua5ja3vM9
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP transformers-0.5.6.2
    transformers-compat-0.7.2-9ApmiRwA3hS7UuQpOomcS
    unordered-containers-0.2.20-556FrLXx6TeI4rsDo1obsC

haddock-interfaces:   /usr/share/doc/haskell-keys/html/keys.haddock
haddock-html:         /usr/share/doc/haskell-keys/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

